Bug 3490 - Installer unable to detect (and add to initrd) piix sata controller
: Installer unable to detect (and add to initrd) piix sata controller
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/Compact-2.3-beta)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 3005
  Show dependency tree
 
Reported: 2004-01-14 16:00 by
Modified: 2008-06-13 12:15 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-01-14 16:00:08
Installer no not detect piix sata controller, but works ok after manual 
loading of ata_piix (in expert mode). 
Also during kernel installation it forget to include ata_piix driver to 
initrd, thus making freshly installed system unbootable. 
 


Actual Results:  
kernel oops with "can't mount root" 
 

Expected Results:  
should detect controller and boot ok
------- Comment #1 From 2004-01-15 09:47:50 -------
Какая версия Compact'а ?

Что в lspcidrake -v ?
------- Comment #2 From 2004-01-16 11:05:05 -------
compact-20040113 
[root@test root]# lspcidrake -v 
unknown         : Intel Corp.|82865G [Springdale-G] Chipset Host Bridge 
[BRIDGE_HOST] (vendor:8086 device:2570 subv:1043 subd:80f2) 
unknown         : Intel Corp.|82865G/PE/P Processor to AGP Controller 
[BRIDGE_PCI] (vendor:8086 device:2571) 
usb-uhci        : Intel Corporation|USB Controller [SERIAL_USB] (vendor:8086 
device:24d2 subv:1043 subd:80a6) 
usb-uhci        : Intel Corporation|USB Controller [SERIAL_USB] (vendor:8086 
device:24d4 subv:1043 subd:80a6) 
usb-uhci        : Intel Corporation|USB Controller [SERIAL_USB] (vendor:8086 
device:24d7 subv:1043 subd:80a6) 
usb-uhci        : Intel Corp.|82801EB USB EHCI Controller #2 [SERIAL_USB] 
(vendor:8086 device:24de subv:1043 subd:80a6) 
usb-uhci        : Intel Corporation|USB Enhanced Controller [SERIAL_USB] 
(vendor:8086 device:24dd subv:1043 subd:80a6) 
i810_rng        : Intel Corporation|82820 815e (Camino 2) Chipset PCI 
[BRIDGE_PCI] (vendor:8086 device:244e) 
unknown         : Intel Corp.|82801EB ISA Bridge (LPC) [BRIDGE_ISA] 
(vendor:8086 device:24d0) 
unknown         : Intel Corp.|82801EB ICH5 IDE [STORAGE_IDE] (vendor:8086 
device:24db subv:1043 subd:80a6) 
ata_piix        : Intel Corp.|82801EB ICH5 IDE (SATA) [STORAGE_IDE] 
(vendor:8086 device:24d1 subv:1043 subd:80a6) 
unknown         : Intel Corp.|82801EB SMBus [SERIAL_SMBUS] (vendor:8086 
device:24d3 subv:1043 subd:80a6) 
i810_audio      : Intel Corp.|82801EB AC'97 Audio [MULTIMEDIA_AUDIO] 
(vendor:8086 device:24d5 subv:1043 subd:80f3) 
sk98lin         : 3Com Corporation|3C940 10/100/1000 LAN [NETWORK_ETHERNET] 
(vendor:10b7 device:1700 subv:1043 subd:80eb) 
unknown         : Acer Laboratories Inc. [ALi]|M3147 [DISPLAY_VGA] 
(vendor:10b9 device:3147) 
unknown         : Virtual|Hub [] (vendor:0000 device:0000) 
unknown         : Virtual|Hub [] (vendor:0000 device:0000) 
unknown         : Virtual|Hub [] (vendor:0000 device:0000) 
unknown         : Virtual|Hub [] (vendor:0000 device:0000) 
unknown         : Virtual|Hub [] (vendor:0000 device:0000) 
 
------- Comment #3 From 2004-01-16 13:48:27 -------
Fixed in Compact 20040116.